com.amazonaws.services.lambda.model

## Class CreateEventSourceMappingRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.CreateEventSourceMappingRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateEventSourceMappingRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateEventSourceMappingRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateEventSourceMappingRequest` `clone()`
`boolean` `equals(Object obj)`
`Integer` `getBatchSize()` The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function.
`Boolean` `getEnabled()` Indicates whether AWS Lambda should begin polling the event source.
`String` `getEventSourceArn()` The Amazon Resource Name (ARN) of the Amazon Kinesis or the Amazon DynamoDB stream that is the event source.
`String` `getFunctionName()` The Lambda function to invoke when AWS Lambda detects an event on the stream.
`String` `getStartingPosition()` The position in the stream where AWS Lambda should start reading.
`Date` `getStartingPositionTimestamp()` The timestamp of the data record from which to start reading.
`int` `hashCode()`
`Boolean` `isEnabled()` Indicates whether AWS Lambda should begin polling the event source.
`void` `setBatchSize(Integer batchSize)` The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function.
`void` `setEnabled(Boolean enabled)` Indicates whether AWS Lambda should begin polling the event source.
`void` `setEventSourceArn(String eventSourceArn)` The Amazon Resource Name (ARN) of the Amazon Kinesis or the Amazon DynamoDB stream that is the event source.
`void` `setFunctionName(String functionName)` The Lambda function to invoke when AWS Lambda detects an event on the stream.
`void` `setStartingPosition(EventSourcePosition startingPosition)` The position in the stream where AWS Lambda should start reading.
`void` `setStartingPosition(String startingPosition)` The position in the stream where AWS Lambda should start reading.
`void` `setStartingPositionTimestamp(Date startingPositionTimestamp)` The timestamp of the data record from which to start reading.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateEventSourceMappingRequest` `withBatchSize(Integer batchSize)` The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function.
`CreateEventSourceMappingRequest` `withEnabled(Boolean enabled)` Indicates whether AWS Lambda should begin polling the event source.
`CreateEventSourceMappingRequest` `withEventSourceArn(String eventSourceArn)` The Amazon Resource Name (ARN) of the Amazon Kinesis or the Amazon DynamoDB stream that is the event source.
`CreateEventSourceMappingRequest` `withFunctionName(String functionName)` The Lambda function to invoke when AWS Lambda detects an event on the stream.
`CreateEventSourceMappingRequest` `withStartingPosition(EventSourcePosition startingPosition)` The position in the stream where AWS Lambda should start reading.
`CreateEventSourceMappingRequest` `withStartingPosition(String startingPosition)` The position in the stream where AWS Lambda should start reading.
`CreateEventSourceMappingRequest` `withStartingPositionTimestamp(Date startingPositionTimestamp)` The timestamp of the data record from which to start reading.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateEventSourceMappingRequest

    public CreateEventSourceMappingRequest()

### Method Detail

#### setEventSourceArn

    public void setEventSourceArn(String eventSourceArn)

The Amazon Resource Name (ARN) of the Amazon Kinesis or the Amazon DynamoDB stream that is the event source. Any record added to this stream could cause AWS Lambda to invoke your Lambda function, it depends on the `BatchSize`. AWS Lambda POSTs the Amazon Kinesis event, containing records, to your Lambda function as JSON.

Parameters:
  `eventSourceArn` - The Amazon Resource Name (ARN) of the Amazon Kinesis or the Amazon DynamoDB stream that is the event source. Any record added to this stream could cause AWS Lambda to invoke your Lambda function, it depends on the `BatchSize`. AWS Lambda POSTs the Amazon Kinesis event, containing records, to your Lambda function as JSON.

#### getEventSourceArn

    public String getEventSourceArn()

The Amazon Resource Name (ARN) of the Amazon Kinesis or the Amazon DynamoDB stream that is the event source. Any record added to this stream could cause AWS Lambda to invoke your Lambda function, it depends on the `BatchSize`. AWS Lambda POSTs the Amazon Kinesis event, containing records, to your Lambda function as JSON.

Returns:
  The Amazon Resource Name (ARN) of the Amazon Kinesis or the Amazon DynamoDB stream that is the event source. Any record added to this stream could cause AWS Lambda to invoke your Lambda function, it depends on the `BatchSize`. AWS Lambda POSTs the Amazon Kinesis event, containing records, to your Lambda function as JSON.

#### withEventSourceArn

    public CreateEventSourceMappingRequest withEventSourceArn(String eventSourceArn)

The Amazon Resource Name (ARN) of the Amazon Kinesis or the Amazon DynamoDB stream that is the event source. Any record added to this stream could cause AWS Lambda to invoke your Lambda function, it depends on the `BatchSize`. AWS Lambda POSTs the Amazon Kinesis event, containing records, to your Lambda function as JSON.

Parameters:
  `eventSourceArn` - The Amazon Resource Name (ARN) of the Amazon Kinesis or the Amazon DynamoDB stream that is the event source. Any record added to this stream could cause AWS Lambda to invoke your Lambda function, it depends on the `BatchSize`. AWS Lambda POSTs the Amazon Kinesis event, containing records, to your Lambda function as JSON.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionName

    public void setFunctionName(String functionName)

The Lambda function to invoke when AWS Lambda detects an event on the stream.

You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`).

If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`).

Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The Lambda function to invoke when AWS Lambda detects an event on the stream.

  You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`).

  If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

  AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`).

  Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### getFunctionName

    public String getFunctionName()

The Lambda function to invoke when AWS Lambda detects an event on the stream.

You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`).

If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`).

Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  The Lambda function to invoke when AWS Lambda detects an event on the stream.

  You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`).

  If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

  AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`).

  Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### withFunctionName

    public CreateEventSourceMappingRequest withFunctionName(String functionName)

The Lambda function to invoke when AWS Lambda detects an event on the stream.

You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`).

If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`).

Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The Lambda function to invoke when AWS Lambda detects an event on the stream.

  You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`).

  If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). For more information about versioning, see AWS Lambda Function Versioning and Aliases

  AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`).

  Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEnabled

    public void setEnabled(Boolean enabled)

Indicates whether AWS Lambda should begin polling the event source. By default, `Enabled` is true.

Parameters:
  `enabled` - Indicates whether AWS Lambda should begin polling the event source. By default, `Enabled` is true.

#### getEnabled

    public Boolean getEnabled()

Indicates whether AWS Lambda should begin polling the event source. By default, `Enabled` is true.

Returns:
  Indicates whether AWS Lambda should begin polling the event source. By default, `Enabled` is true.

#### withEnabled

    public CreateEventSourceMappingRequest withEnabled(Boolean enabled)

Indicates whether AWS Lambda should begin polling the event source. By default, `Enabled` is true.

Parameters:
  `enabled` - Indicates whether AWS Lambda should begin polling the event source. By default, `Enabled` is true.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Indicates whether AWS Lambda should begin polling the event source. By default, `Enabled` is true.

Returns:
  Indicates whether AWS Lambda should begin polling the event source. By default, `Enabled` is true.

#### setBatchSize

    public void setBatchSize(Integer batchSize)

The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records. The default is 100 records.

Parameters:
  `batchSize` - The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records. The default is 100 records.

#### getBatchSize

    public Integer getBatchSize()

The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records. The default is 100 records.

Returns:
  The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records. The default is 100 records.

#### withBatchSize

    public CreateEventSourceMappingRequest withBatchSize(Integer batchSize)

The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records. The default is 100 records.

Parameters:
  `batchSize` - The largest number of records that AWS Lambda will retrieve from your event source at the time of invoking your function. Your function receives an event with all the retrieved records. The default is 100 records.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartingPosition

    public void setStartingPosition(String startingPosition)

The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.

Parameters:
  `startingPosition` - The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.
See Also:
  `EventSourcePosition`

#### getStartingPosition

    public String getStartingPosition()

The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.

Returns:
  The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.
See Also:
  `EventSourcePosition`

#### withStartingPosition

    public CreateEventSourceMappingRequest withStartingPosition(String startingPosition)

The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.

Parameters:
  `startingPosition` - The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EventSourcePosition`

#### setStartingPosition

    public void setStartingPosition(EventSourcePosition startingPosition)

The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.

Parameters:
  `startingPosition` - The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.
See Also:
  `EventSourcePosition`

#### withStartingPosition

    public CreateEventSourceMappingRequest withStartingPosition(EventSourcePosition startingPosition)

The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.

Parameters:
  `startingPosition` - The position in the stream where AWS Lambda should start reading. Valid only for Kinesis streams. For more information, go to ShardIteratorType in the Amazon Kinesis API Reference.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EventSourcePosition`

#### setStartingPositionTimestamp

    public void setStartingPositionTimestamp(Date startingPositionTimestamp)

The timestamp of the data record from which to start reading. Used with shard iterator type AT_TIMESTAMP. If a record with this exact timestamp does not exist, the iterator returned is for the next (later) record. If the timestamp is older than the current trim horizon, the iterator returned is for the oldest untrimmed data record (TRIM_HORIZON). Valid only for Kinesis streams.

Parameters:
  `startingPositionTimestamp` - The timestamp of the data record from which to start reading. Used with shard iterator type AT_TIMESTAMP. If a record with this exact timestamp does not exist, the iterator returned is for the next (later) record. If the timestamp is older than the current trim horizon, the iterator returned is for the oldest untrimmed data record (TRIM_HORIZON). Valid only for Kinesis streams.

#### getStartingPositionTimestamp

    public Date getStartingPositionTimestamp()

The timestamp of the data record from which to start reading. Used with shard iterator type AT_TIMESTAMP. If a record with this exact timestamp does not exist, the iterator returned is for the next (later) record. If the timestamp is older than the current trim horizon, the iterator returned is for the oldest untrimmed data record (TRIM_HORIZON). Valid only for Kinesis streams.

Returns:
  The timestamp of the data record from which to start reading. Used with shard iterator type AT_TIMESTAMP. If a record with this exact timestamp does not exist, the iterator returned is for the next (later) record. If the timestamp is older than the current trim horizon, the iterator returned is for the oldest untrimmed data record (TRIM_HORIZON). Valid only for Kinesis streams.

#### withStartingPositionTimestamp

    public CreateEventSourceMappingRequest withStartingPositionTimestamp(Date startingPositionTimestamp)

The timestamp of the data record from which to start reading. Used with shard iterator type AT_TIMESTAMP. If a record with this exact timestamp does not exist, the iterator returned is for the next (later) record. If the timestamp is older than the current trim horizon, the iterator returned is for the oldest untrimmed data record (TRIM_HORIZON). Valid only for Kinesis streams.

Parameters:
  `startingPositionTimestamp` - The timestamp of the data record from which to start reading. Used with shard iterator type AT_TIMESTAMP. If a record with this exact timestamp does not exist, the iterator returned is for the next (later) record. If the timestamp is older than the current trim horizon, the iterator returned is for the oldest untrimmed data record (TRIM_HORIZON). Valid only for Kinesis streams.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateEventSourceMappingRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`